import logging

from core import models

from .generic import DynamicFieldsModelSerializer

log = logging.getLogger(__name__)


class ExamSerializer(DynamicFieldsModelSerializer):

    class Meta:
        model = models.ExamType
        fields = ('pk', 'module_reference', 'total_score',
                  'pass_score', 'pass_only',)


class TestSerializer(DynamicFieldsModelSerializer):

    class Meta:
        model = models.Test
        fields = ('pk', 'name', 'label', 'annotation')


class SubmissionTypeListSerializer(DynamicFieldsModelSerializer):

    class Meta:
        model = models.SubmissionType
        fields = ('pk', 'name', 'full_score')


class SubmissionTypeSerializer(SubmissionTypeListSerializer):

    class Meta:
        model = models.SubmissionType
        fields = ('pk',
                  'name',
                  'full_score',
                  'description',
                  'solution',
                  'programming_language')
